Module
Inhalte
Index 🔎︎

# Funktion Rate [VBA]

Gibt die Zinsrate eines Darlehns oder Investments zurück.

Diese Funktion oder Konstante ist aktiviert, wenn die Anweisung Option VBASupport 1 vor dem ausführbaren Programmcode in einem Modul platziert wurde.

## Syntax:

    Rate( NPer as Double, Pmt as Double, PV as Double [FV as Variant], [Due as Variant], [Guess as Variant] )

## Rückgabewert:

Double

## Parameter:

NPer ist die Gesamtzahl von Zeiträumen, in denen regelmäßige Zahlungen (Annuitäten) erfolgen.

Pmt ist die regelmäßige Zahlung pro Zeitraum.

PV ist der gegenwärtige Barwert eines Darlehens / einer Anlage.

FV (optional) ist der zukünftige Wert eines Darlehens / einer Anlage.

Due (optional) definiert, ob die Zahlung am Anfang oder Ende eines Zeitraumes fällig ist.

0 - Die Zahlung ist am Ende des Zeitraumes fällig;

1 - Die Zahlung ist am Anfang des Zeitraumes fällig.

Guess (optional) bestimmt den Schätzwert der Zinsen mit Hilfe iterativer Berechnung.

## Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    REM ***** BASIC *****

    Option VBASupport 1

    Sub ExampleRate

    ' Berechnet die erforderliche Zinsrate, um ein Darlehen von 100.000 € über

    ' 6 Jahre zurückzuzahlen, wenn jedes Monatsende 1.500 € zurückgezahlt werden.

     Dim mRate As Double

     mRate = Rate( 72, -1500, 100000 )

     print mRate ' mRate ergibt 0,00213778025343334

    End sub

Verwandte Themen

Funktion ZINS (RATE) in CALC

VBA - Finanzmathematische Funktionen